Have `art/tools/buildbot-build --target` abort on empty TARGET_PRODUCT.

This is especially useful when the user has forgotten to run the
`lunch` command (or forgotten to define TARGET_PRODUCT manually), to
provide them with a meaningful error message instead of something
cryptic like:

  ninja: error: unknown target 'out/target/product/system/etc/public.libraries.txt'

Test: tools/buildbot-build.sh --target
Change-Id: Ia7e8819eb6902db8fd8f6ac24789f1b25c3a6f8c
diff --git a/tools/buildbot-build.sh b/tools/buildbot-build.sh
index a201755..e447ab4 100755
--- a/tools/buildbot-build.sh
+++ b/tools/buildbot-build.sh
@@ -74,6 +74,10 @@
   make_command+=" dx-tests"
   mode_suffix="-host"
 elif [[ $mode == "target" ]]; then
+  if [[ -z "$TARGET_PRODUCT" ]]; then
+    echo 'TARGET_PRODUCT environment variable is empty; did you forget to run `lunch`?'
+    exit 1
+  fi
   make_command="make $j_arg $extra_args $showcommands build-art-target-tests $common_targets"
   make_command+=" libjavacrypto-target libnetd_client-target linker toybox toolbox sh"
   make_command+=" ${out_dir}/host/linux-x86/bin/adb libstdc++ "